/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
package com.ebmwebsourcing.easycommons.lang;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * @author Adrien Ruffie - EBM WebSourcing
 */
public class ExceptionHelperTest {

    @Test
    public void testGetMessageFromRootCauseWithSimpleException() throws Exception {
        String expectedMessage = "The test cause throwable message";
        String actualMessage = ExceptionHelper.getMessageFromRootCause(new Exception(expectedMessage));
        assertEquals(expectedMessage,actualMessage);
    }
    
    @Test
    public void testGetMessageFromRootCauseWithLinkedException() throws Exception {
        String expectedMessage = "The test cause throwable message";
        Exception linkedException = new Exception(new Exception(new Exception(expectedMessage)));
        String actualMessage = ExceptionHelper.getMessageFromRootCause(linkedException);
        assertEquals(expectedMessage,actualMessage);
    }
}
